<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Microsoft\Graph\Graph;
use Microsoft\Graph\Model;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\DB;

class AddUpdateUserController extends Controller
{
    public function addUser(Request $request) {

        $emailPro = $request->all()['prenom'].'.'.$request->all()['nom'].'@icc-finance.fr';
        $accentRemoverEmailPro = \Transliterator::create('NFD; [:Nonspacing Mark:] Remove; NFC')->transliterate($emailPro);
        $emailPro = strtolower($accentRemoverEmailPro);
        $telPro = $request->all()['tel_pro'];
        $telPro = str_replace(' ', '', $telPro);
        $telPro = str_replace('.', '', $telPro);
        $telPro = str_replace('-', '', $telPro);
        if (preg_match( '/^(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})$/', $telPro,  $matches )) {
            $telPro = $matches[1] . '.' . $matches[2] . '.' . $matches[3] . '.' . $matches[4] . '.' . $matches[5];
        }
        $telPerso = $request->all()['tel_perso'];
        $telPerso = str_replace(' ', '', $telPerso);
        $telPerso = str_replace('.', '', $telPerso);
        $telPerso = str_replace('-', '', $telPerso);
        if (preg_match( '/^(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})$/', $telPerso,  $matches )) {
            $telPerso = $matches[1] . '.' . $matches[2] . '.' . $matches[3] . '.' . $matches[4] . '.' . $matches[5];
        }

        DB::table('rh_employees')->insert([
            'EMPLOYEE_COMPTEACTIF' => $request->all()['compte_actif'],
            'EMPLOYEE_NOM' => strtoupper($request->all()['nom']),
            'EMPLOYEE_PRENOM' => ucwords($request->all()['prenom']),
            'EMPLOYEE_EMAILPRO' => $emailPro,
            'EMPLOYEE_EMAILPERSO' => strtolower($request->all()['email_perso']),
            'EMPLOYEE_TELPRO' => $telPro,
            'EMPLOYEE_TELPERSO' => $telPerso,
            'EMPLOYEE_ADRESSEPERSO' => $request->all()['adresse_perso'],
            'EMPLOYEE_ADRESSEPERSOCOMPLEMENT' => $request->all()['adresse_perso_complement'],
            'EMPLOYEE_CODEPOSTALPERSO' => $request->all()['codepostal_perso'],
            'EMPLOYEE_VILLEPERSO' => $request->all()['ville_perso'],
            'EMPLOYEE_STATUT' => $request->all()['statut'],
            'EMPLOYEE_FONCTION' => $request->all()['fonction'],
            'EMPLOYEE_ESTCOURTIER' => $request->all()['est_courtier'],
            'EMPLOYEE_SERVICE' => $request->all()['service'],
            'EMPLOYEE_FKAGENCEID' => $request->all()['fk_id_agence'],
            'EMPLOYEE_TYPECONTRAT' => $request->all()['type_contrat'],
            'EMPLOYEE_DATEARRIVEE' => $request->all()['date_entree'],
            'EMPLOYEE_DATEDEPART' => $request->all()['date_depart'],
            'EMPLOYEE_SIREN' => $request->all()['siren'],
            'EMPLOYEE_ORIAS' => $request->all()['orias'],
            'EMPLOYEE_DATEDEMANDEORIAS' => $request->all()['datedemande_orias'],
            'EMPLOYEE_DATEORIAS' => $request->all()['date_orias'],
            'EMPLOYEE_ETATORIAS' => $request->all()['etat_orias'],
            'EMPLOYEE_MONTANTORIAS' => $request->all()['montant_orias'],
            'EMPLOYEE_DATEDEMANDEIEAM' => $request->all()['datedemande_ieam'],
            'EMPLOYEE_DATEIEAM' => $request->all()['date_ieam'],
            'EMPLOYEE_ETATIEAM' => $request->all()['etat_ieam'],
            'EMPLOYEE_DATEDEMANDEAFIB' => $request->all()['datedemande_afib'],
            'EMPLOYEE_DATEAFIB' => $request->all()['date_afib'],
            'EMPLOYEE_ETATAFIB' => $request->all()['etat_afib'],
        ]);

        // $accentRemoverPrenom = \Transliterator::create('NFD; [:Nonspacing Mark:] Remove; NFC')->transliterate($request->all()['prenom']);
        // $accentRemoverNom = \Transliterator::create('NFD; [:Nonspacing Mark:] Remove; NFC')->transliterate($request->all()['nom']);
        // $mailNickname = strtolower($accentRemoverPrenom . "." . $accentRemoverNom);
        // $givenName = ucwords($request->all()['prenom']);
        // $surname = strtoupper($request->all()['nom']);

        // $emailPro = strtolower($accentRemoverEmailPro);

        // $userPayload = array(
        //         "accountEnabled" => false,
        //         "displayName" => $surname . " " . $givenName,
        //         "mailNickname" => $mailNickname,
        //         "givenName" => $givenName,
        //         "surname" => $surname,
        //         "userPrincipalName" => $emailPro,
        //         "passwordProfile" => [
        //             "forceChangePasswordNextSignIn" => false,
        //             "password" => "IccFinance31!"
        //         ]
        // );

        // $viewData = $this->loadViewData();

        // $graph = new Graph();

        // $graph->setAccessToken(session('accessToken'));

        // $photo = $graph->createRequest('POST', '/users')
        //     ->attachBody($userPayload)
        //     ->execute();

        return back()->withInput();

    }

    public function updateUser(Request $request) {

        $emailPro = $request->all()['prenom'].'.'.$request->all()['nom'].'@icc-finance.fr';
        $accentRemoverEmailPro = \Transliterator::create('NFD; [:Nonspacing Mark:] Remove; NFC')->transliterate($emailPro);
        $emailPro = strtolower($accentRemoverEmailPro);
        $telPro = $request->all()['tel_pro'];
        $telPro = str_replace(' ', '', $telPro);
        $telPro = str_replace('.', '', $telPro);
        $telPro = str_replace('-', '', $telPro);
        if (preg_match( '/^(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})$/', $telPro,  $matches )) {
            $telPro = $matches[1] . '.' . $matches[2] . '.' . $matches[3] . '.' . $matches[4] . '.' . $matches[5];
        }
        $telPerso = $request->all()['tel_perso'];
        $telPerso = str_replace(' ', '', $telPerso);
        $telPerso = str_replace('.', '', $telPerso);
        $telPerso = str_replace('-', '', $telPerso);
        if (preg_match( '/^(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})$/', $telPerso,  $matches )) {
            $telPerso = $matches[1] . '.' . $matches[2] . '.' . $matches[3] . '.' . $matches[4] . '.' . $matches[5];
        }
        
       try {
            DB::table('rh_employees')
                ->where('EMPLOYEE_ID', '=', $request->all()['user_id'])
                ->update([
                    'EMPLOYEE_COMPTEACTIF' => $request->all()['compte_actif'],
                    'EMPLOYEE_NOM' => strtoupper($request->all()['nom']),
                    'EMPLOYEE_PRENOM' => ucwords($request->all()['prenom']),
                    'EMPLOYEE_EMAILPRO' => $emailPro,
                    'EMPLOYEE_EMAILPERSO' => strtolower($request->all()['email_perso']),
                    'EMPLOYEE_TELPRO' => $telPro,
                    'EMPLOYEE_TELPERSO' => $telPerso,
                    'EMPLOYEE_ADRESSEPERSO' => $request->all()['adresse_perso'],
                    'EMPLOYEE_ADRESSEPERSOCOMPLEMENT' => $request->all()['adresse_perso_complement'],
                    'EMPLOYEE_CODEPOSTALPERSO' => $request->all()['codepostal_perso'],
                    'EMPLOYEE_VILLEPERSO' => $request->all()['ville_perso'],
                    'EMPLOYEE_STATUT' => $request->all()['statut'],
                    'EMPLOYEE_FONCTION' => $request->all()['fonction'],
                    'EMPLOYEE_SERVICE' => $request->all()['service'],
                    'EMPLOYEE_ESTCOURTIER' => $request->all()['est_courtier'],
                    'EMPLOYEE_FKAGENCEID' => $request->all()['fk_id_agence'],
                    'EMPLOYEE_TYPECONTRAT' => $request->all()['type_contrat'],
                    'EMPLOYEE_DATEARRIVEE' => $request->all()['date_entree'],
                    'EMPLOYEE_DATEDEPART' => $request->all()['date_depart'],
                    'EMPLOYEE_SIREN' => $request->all()['siren'],
                    'EMPLOYEE_ORIAS' => $request->all()['orias'],
                    'EMPLOYEE_DATEDEMANDEORIAS' => $request->all()['datedemande_orias'],
                    'EMPLOYEE_DATEORIAS' => $request->all()['date_orias'],
                    'EMPLOYEE_ETATORIAS' => $request->all()['etat_orias'],
                    'EMPLOYEE_MONTANTORIAS' => $request->all()['montant_orias'],
                    'EMPLOYEE_DATEDEMANDEIEAM' => $request->all()['datedemande_ieam'],
                    'EMPLOYEE_DATEIEAM' => $request->all()['date_ieam'],
                    'EMPLOYEE_ETATIEAM' => $request->all()['etat_ieam'],
                    'EMPLOYEE_DATEDEMANDEAFIB' => $request->all()['datedemande_afib'],
                    'EMPLOYEE_DATEAFIB' => $request->all()['date_afib'],
                    'EMPLOYEE_ETATAFIB' => $request->all()['etat_afib'],
            ]);
            
            // DB::table('rh_orias')
            // ->where('ORIAS_FKEMPLOYEEID ', '=', $request->all()['user_id'])
            // ->update([
            //     'EMPLOYEE_ORIAS' => $request->all()['orias'],
            //     'EMPLOYEE_DATEDEMANDEORIAS' => $request->all()['datedemande_orias'],
            //     'EMPLOYEE_DATEORIAS' => $request->all()['date_orias'],
            //     'EMPLOYEE_ETATORIAS' => $request->all()['etat_orias'],
            //     'EMPLOYEE_MONTANTORIAS' => $request->all()['montant_orias'],
            // ]);

            // DB::table('rh_ieam')
            // ->where('ORIAS_FKEMPLOYEEID ', '=', $request->all()['user_id'])
            // ->update([
            //     'EMPLOYEE_DATEDEMANDEIEAM' => $request->all()['datedemande_ieam'],
            //     'EMPLOYEE_DATEIEAM' => $request->all()['date_ieam'],
            //     'EMPLOYEE_ETATIEAM' => $request->all()['etat_ieam'],
            // ]);

            // DB::table('rh_afib')
            // ->where('ORIAS_FKEMPLOYEEID ', '=', $request->all()['user_id'])
            // ->update([
            //     'EMPLOYEE_DATEDEMANDEAFIB' => $request->all()['datedemande_afib'],
            //     'EMPLOYEE_DATEAFIB' => $request->all()['date_afib'],
            //     'EMPLOYEE_ETATAFIB' => $request->all()['etat_afib'],
            // ]);

        }
        catch (\Exception $e) {
            dd($e); 
        }

        return back()->withInput();

    }
}
