<?php

namespace App\Http\Livewire;

use Livewire\Component;
use Illuminate\Http\Request;
use Microsoft\Graph\Graph;
use Microsoft\Graph\Model;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\DB;
use Illuminate\Pagination\Paginator;

class AgencesTableMod extends Component
{

    public $filter;
    public $recherche='';
    public $entriesNumber='';
    public $order_champs ="AGENCE_NOM";
    protected $order='asc';

    public function getInfoIccAllAgences() {

        if($this->entriesNumber == '') { $this->entriesNumber = 15; }
        if($this->filter == 'tout') { $fa = null; $ea = '!='; $fe = null; $ee = '!='; }
        elseif($this->filter == 'actives-tout') { $fa = null; $ea = '!='; $fe = 1; $ee = '='; }
        elseif($this->filter == 'actives-franchises') { $fa = 'Franchise'; $ea = '='; $fe = 1; $ee = '='; }
        elseif($this->filter == 'actives-filiales') { $fa = 'Filiale'; $ea = '='; $fe = 1; $ee = '='; }
        elseif($this->filter == 'archives-tout') { $fa = null; $ea = '!='; $fe = 0; $ee = '='; }
        elseif($this->filter == 'archives-franchises') { $fa = 'Franchise'; $ea = '='; $fe = 1; $ee = '!='; }
        elseif($this->filter == 'archives-filiales') { $fa = 'Filiale'; $ea = '='; $fe = 1; $ee = '!='; }

        $allAgences = DB::table('rh_directors')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_directors.DIRECTOR_FKEMPLOYEEID')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_directors.DIRECTOR_FKAGENCEID')
            ->where('AGENCE_TYPE', $ea, $fa)
            ->where('AGENCE_COMPTEACTIF',$ee,$fe)
            ->where(function($query){
                $query->orWhere('EMPLOYEE_NOM','like','%'.trim($this->recherche," ")."%")
                ->orWhere('AGENCE_NOM','like','%'.$this->recherche."%")
                ->orWhere('AGENCE_TYPE','like','%'.$this->recherche."%")
                ->orWhere('AGENCE_STATUTJURIDIQUE','like','%'.$this->recherche."%")
                ->orWhere('AGENCE_RAISONSOCIALE','like','%'.$this->recherche."%");
            })
            ->orderBy($this->order_champs,$this->order)
            ->paginate($this->entriesNumber);

        return $allAgences;

    }

    public function ordonner($ordre,$params1){

        if ($params1 === $this->order) {
            $this->order = "desc";
        }else{
            $this->order = "asc";
        }

        switch ($ordre) {

            case "Actif":
                $this->order_champs="AGENCE_COMPTEACTIF";
                break;

            case "RaisonSociale":
                $this->order_champs="AGENCE_RAISONSOCIALE";
                break;

            case "StatutJuridique":
                $this->order_champs="AGENCE_STATUTJURIDIQUE";
                break;
            
            case "Type":
                $this->order_champs="AGENCE_TYPE";
                break;

            default:
                $this->order_champs="AGENCE_NOM";
                break;
        }
    }

    public function boot()
    {
        Paginator::useTailwind();
    }

    public function render()
    {
        return view('livewire.agences-table-mod',[ 'allAgences' => $this->getInfoIccAllAgences()]);
    }
}
