<div class="mx-3">
	<div class="mx-3">
		<h1 class="text-2xl font-bold capitalize text-blue-900 pb-2"><i class="fa-solid fa-globe"></i>&nbsp;Général</h1>
		<div class="mx-4">
			<div class="flex gap-3 mt-2">
				<!-- Description -->
				<div class="flex-auto w-3/4">
					<div class="rounded text-white shadow" role="alert">
						<div class="bleu-icc-bg rounded-t border-b-4 border-red-400">
							<span class="font-bold mx-4 text-md">
								Description
							</span>
						</div>
						<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
							<div class="grid grid-cols-2 gap-2 mx-4 px-4 py-3 text-justify">
								<div><span class="font-semibold">Raison sociale :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_RAISONSOCIALE }}</span></div>
								<div><span class="font-semibold">Statut juridique :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_STATUTJURIDIQUE }}</span></div>
								<div><span class="font-semibold">Montant du capital :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_CAPITAL }}</span></div>
								<div><span class="font-semibold">Directeur(s) :&nbsp;</span>
									<span class="italic">
										@foreach ($agence as $directeur)
											<a onclick='Livewire.emit("openModal", "user-details-mod", {{ json_encode(["userEmailPro" => $directeur->EMPLOYEE_EMAILPRO]) }})' name="agence_link"
											style="margin: 2px;" class="hover:text-orange-500">
												{{ $directeur->EMPLOYEE_PRENOM }} {{ $directeur->EMPLOYEE_NOM }}
											</a>
										@endforeach
									</span>
								</div>
								<div><span class="font-semibold">Téléphone :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_TEL }}</span></div>
								<div><span class="font-semibold">Site :&nbsp;</span><span class="italic">
									<a href="https://{{ $agence[0]->AGENCE_SITEWEB }}">{{ $agence[0]->AGENCE_SITEWEB }}</a></span>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- Adresse -->
			<div class="flex gap-3 mt-3">
				<div class="flex-auto w-1/2">
					<div class="rounded text-white shadow" role="alert">
						<div class="bleu-icc-bg rounded-t border-b-4 border-red-400">
							<span class="font-bold mx-4 p-1">
								Suivi
							</span>
						</div>
						<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
							<div class="grid grid-cols gap-2 mx-4 px-4 py-3 text-justify">
								<div><span class="font-semibold">N°Rue/Voie :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_ADRESSE }}</span></div>
								<div><span class="font-semibold">Complément :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_ADRESSECOMPLEMENT }}</span></div>
								<div><span class="font-semibold">Code/Ville :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_CODEPOSTAL }} {{ $agence[0]->AGENCE_VILLE }}</span></div>
							</div>
						</div>
					</div>
				</div>
				<!-- Suivi -->
				<div class="flex-auto w-1/2">
					<div class="rounded text-white shadow" role="alert">
						<div class="bleu-icc-bg rounded-t border-b-4 border-red-400">
							<span class="font-bold mx-4 p-1">
								Adresse postale
							</span>
						</div>
						<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
							<div class="grid grid-cols gap-2 mx-4 px-4 py-3 text-justify">
								<?php
									if($agence[0]->AGENCE_DATEENTREE != null) {
										$dateEntree = strtotime($agence[0]->AGENCE_DATEENTREE);
										$dateEntree = date('d/m/Y', $dateEntree);
									}
									else { $dateEntree = "-"; }
									if($agence[0]->AGENCE_DATEDERNIERRENOUVELLEMENT != null) {
										$dateRenouvellement = strtotime($agence[0]->AGENCE_DATEDERNIERRENOUVELLEMENT);
										$dateRenouvellement = date('d/m/Y', $dateRenouvellement);
									}
									else { $dateRenouvellement = "-"; }
									if($agence[0]->AGENCE_DATEECHEANCE == null) {
										if($agence[0]->AGENCE_DATEENTREE == null) {
											$dateEcheance = "-";
										}
										elseif($agence[0]->AGENCE_DATEDERNIERRENOUVELLEMENT == null) {
											$dateEcheance = date('d/m/Y', strtotime($agence[0]->AGENCE_DATEENTREE. ' + 5 years'));
										}
										elseif($agence[0]->AGENCE_DATEDERNIERRENOUVELLEMENT != null) {
											$dateEcheance = date('d/m/Y', strtotime($agence[0]->AGENCE_DATEDERNIERRENOUVELLEMENT. ' + 5 years'));
										}
									}
									else {
										$dateEcheance = strtotime($agence[0]->AGENCE_DATEECHEANCE);
										$dateEcheance = date('d/m/Y', $dateEcheance);
									}
								?>
								<div><span class="font-semibold">Date 1er contrat :&nbsp;</span><span class="italic">{{ $dateEntree }}</span></div>
								<div><span class="font-semibold">Date dernier renouvellement :&nbsp;</span><span class="italic">{{ $dateRenouvellement }}</span></div>
								<div><span class="font-semibold">Date échéance du contrat :&nbsp;</span><span class="italic">{{ $dateEcheance }}</span></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="mx-3 mt-4">
		<h1 class="text-2xl font-bold capitalize text-blue-900 pb-2"><i class="fa-solid fa-scale-balanced"></i>&nbsp;Informations légales</h1>
		<div class="mx-4">
			<div class="flex gap-3 mt-2">
				<!-- Autres -->
				<div class="flex-auto w-3/5">
					<div class="rounded text-white shadow" role="alert">
						<div class="bleu-icc-bg rounded-t border-b-4 border-emerald-400">
							<span class="font-bold mx-4 p-1">
								Autres
							</span>
						</div>
						<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
							<div class="grid grid-cols-3 gap-2 mx-4 px-4 py-3 text-justify">
								<div><span class="font-semibold">RCS Ville :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_RCSVILLE }}</span></div>
								<div><span class="font-semibold">RCS Siren :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_RCSSIREN }}</span></div>
								<div><span class="font-semibold">Orias :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_ORIAS }}</span></div>
								<div><span class="font-semibold">RCPro :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_RCPRO }}</span></div>
								<div class="col-span-2"><span class="font-semibold">N°RCPro :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_RCPRONUMERO }}</span></div>
							</div>
						</div>
					</div>
				</div>
				<!-- Coordonnées bancaires -->
				<div class="flex-auto w-2/5">
					<div class="rounded text-white shadow" role="alert">
						<div class="bleu-icc-bg rounded-t border-b-4 border-emerald-400">
							<span class="font-bold mx-4 p-1">
								Coord. bancaires
							</span>
						</div>
						<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
							<div class="grid grid-cols gap-2 mx-4 px-4 py-3 text-justify">
								<div><span class="font-semibold">RIB :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_RIB }}</span></div>
								<div><span class="font-semibold">IBAN :&nbsp;</span><span class="italic">{{ $agence[0]->AGENCE_IBAN }}</span></div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="flex gap-3 mt-3 mb-2">
				<!-- Mentions légales -->
				<div class="flex-auto w-1">
					<div class="rounded text-white shadow" role="alert">
						<div class="bleu-icc-bg rounded-t border-b-4 border-emerald-400">
							<span class="font-bold mx-4 p-1">
								Mentions légales
							</span>
						</div>
						<div class="bg-gray-50 rounded-b text-gray-700 text-sm">
							<div class="grid grid-cols gap-2 mx-4 px-4 py-3 text-justify">
								<div><i class="fa-solid fa-caret-right"></i></i><span class="italic">&nbsp;{{ $agence[0]->AGENCE_MENTIONSLEGALES1 }}</span></div>
								<div><i class="fa-solid fa-caret-right"></i></i><span class="italic">&nbsp;{{ $agence[0]->AGENCE_MENTIONSLEGALES2 }}</span></div>
								<div><i class="fa-solid fa-caret-right"></i></i><span class="italic">&nbsp;{{ $agence[0]->AGENCE_MENTIONSLEGALES3 }}</span></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>